/* smoke.m,
 *
 * Smoke for missiles and stuff.  Just a gray explosion.
 */

#include <math.h>
#include "common.h"
#include "candy/smoke.h"
#include "seborrhea/seborrhea.h"


static SebLump *small_smokes;


@implementation Smoke
+ initialize
{
    small_smokes = (SebLump *)[base_sebum getSebumByName:"smoke-small"];
    return self;
}

- init
{
    [super init];

    angle = deg2rad(rnd(-180, 180));
    speed = 0.5;
    sprite = [[[SebAnimator alloc] init] setAnimation:(SebAnimation *)
				[small_smokes getRandomSebum]];

    return self;
}
@end
